# Reservations

## GET /v1/flow/reservations

> Lists all reservations.

```json
{"openapi":"3.0.0","info":{"title":"Gormic Flow API","version":"1.0"},"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key","description":"API Key"}},"schemas":{"ListReservationsApiResponse":{"type":"object","properties":{"app":{"type":"string"},"service":{"type":"string"},"warnings":{"type":"array","items":{"type":"object"}},"instanceId":{"type":"string"},"requestId":{"type":"string"},"data":{"$ref":"#/components/schemas/ListReservations_Data"}},"required":["app","service","warnings","instanceId","requestId","data"]},"ListReservations_Data":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/ReservationM"}}},"required":["items"]},"ReservationM":{"type":"object","properties":{"type":{"type":"string","enum":["queue","request","reservation"]},"code":{"type":"string"},"businessDate":{"type":"string"},"time":{"type":"string"},"numberOfGuests":{"type":"number"},"actualNumberOfGuests":{"type":"number"},"status":{"type":"string","enum":["canceled","confirmed","declined","left","new","no-show","seated"]},"duration":{"type":"number"},"seatedAt":{"type":"string"},"leftAt":{"type":"string"},"note":{"type":"string","nullable":true},"areaId":{"type":"string","nullable":true},"reference":{"type":"string","nullable":true},"internalNote":{"type":"string","nullable":true},"paid":{"type":"boolean","nullable":true},"ages":{"type":"array","items":{"$ref":"#/components/schemas/ReservationM_AgesItem"}},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"},"uid":{"type":"string"},"branchId":{"type":"string"},"customerUid":{"type":"string"},"customer":{"$ref":"#/components/schemas/ReservationM_Customer"},"tableIds":{"type":"array","items":{"type":"string"}},"can":{"type":"array","items":{"type":"string","enum":["cancel","delete","update","update-time"]}},"recommendedTableIds":{"type":"array","items":{"type":"string"}},"labels":{"type":"array","items":{"$ref":"#/components/schemas/LabelAssignmentM"}},"feeOrderUid":{"type":"string"},"scheduledOrderUid":{"type":"string"},"experienceUids":{"type":"array","items":{"type":"string"}}},"required":["type","code","businessDate","time","numberOfGuests","actualNumberOfGuests","status","duration","uid","branchId","customerUid","customer","tableIds","can","labels"]},"ReservationM_AgesItem":{"type":"object","properties":{"id":{"type":"string"},"count":{"type":"number"}},"required":["id","count"]},"ReservationM_Customer":{"type":"object","properties":{"firstName":{"type":"string"},"lastName":{"type":"string","nullable":true},"email":{"type":"string"},"phone":{"type":"string"},"phoneCountry":{"type":"string"},"phoneCountryCalling":{"type":"string"},"sequence":{"type":"number"},"number":{"type":"string"},"cityId":{"type":"string","nullable":true},"birthDate":{"type":"string","nullable":true},"gender":{"type":"object"},"passcode":{"type":"string","nullable":true},"unsubscribed":{"type":"boolean","nullable":true},"internalNote":{"type":"string","nullable":true},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"},"id":{"type":"string"},"roleAssignments":{"type":"array","items":{"$ref":"#/components/schemas/RoleAssignmentMapSummary"}}},"required":["firstName","phone","phoneCountry","phoneCountryCalling","sequence","number","id","roleAssignments"]},"RoleAssignmentMapSummary":{"type":"object","properties":{"endDate":{"type":"string"},"id":{"type":"string"}},"required":["endDate","id"]},"LabelAssignmentM":{"type":"object","properties":{"uid":{"type":"string"},"labelUid":{"type":"string"},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"}},"required":["uid","labelUid"]}}},"paths":{"/v1/flow/reservations":{"get":{"operationId":"Reservations_list","parameters":[{"name":"organization-id","in":"header","required":true,"schema":{"type":"string"},"description":"Organization ID"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListReservationsApiResponse"}}}}},"summary":"Lists all reservations.","tags":["Reservations"]}}}}
```

## POST /v1/flow/reservations

> Creates a new reservation.

```json
{"openapi":"3.0.0","info":{"title":"Gormic Flow API","version":"1.0"},"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key","description":"API Key"}},"schemas":{"CreateReservationApiRequest":{"type":"object","properties":{"params":{"$ref":"#/components/schemas/CreateReservation_Params"}},"required":["params"]},"CreateReservation_Params":{"type":"object","properties":{"branchId":{"type":"string"},"customerId":{"type":"string"},"time":{"type":"string"},"numberOfGuests":{"type":"number"},"status":{"type":"string","enum":["canceled","confirmed","declined","left","new","no-show","seated"]},"duration":{"type":"number"},"seatedAt":{"type":"string"},"leftAt":{"type":"string"},"note":{"type":"string"},"areaId":{"type":"string"},"tableIds":{"type":"array","items":{"type":"string"}},"reference":{"type":"string"},"internalNote":{"type":"string","nullable":true},"experienceUids":{"type":"array","items":{"type":"string"}},"ages":{"type":"array","items":{"$ref":"#/components/schemas/CreateReservation_Params_AgesItem"}}},"required":["branchId","customerId","time","tableIds"]},"CreateReservation_Params_AgesItem":{"type":"object","properties":{"id":{"type":"string"},"count":{"type":"number"}},"required":["id","count"]},"CreateReservationApiResponse":{"type":"object","properties":{"app":{"type":"string"},"service":{"type":"string"},"warnings":{"type":"array","items":{"type":"object"}},"instanceId":{"type":"string"},"requestId":{"type":"string"},"data":{"$ref":"#/components/schemas/CreateReservation_Data"}},"required":["app","service","warnings","instanceId","requestId","data"]},"CreateReservation_Data":{"type":"object","properties":{"item":{"$ref":"#/components/schemas/CreateReservation_Data_Item"}},"required":["item"]},"CreateReservation_Data_Item":{"type":"object","properties":{"type":{"type":"string","enum":["queue","request","reservation"]},"code":{"type":"string"},"businessDate":{"type":"string"},"time":{"type":"string"},"numberOfGuests":{"type":"number"},"actualNumberOfGuests":{"type":"number"},"status":{"type":"string","enum":["canceled","confirmed","declined","left","new","no-show","seated"]},"duration":{"type":"number"},"seatedAt":{"type":"string"},"leftAt":{"type":"string"},"note":{"type":"string","nullable":true},"areaId":{"type":"string","nullable":true},"reference":{"type":"string","nullable":true},"internalNote":{"type":"string","nullable":true},"paid":{"type":"boolean","nullable":true},"ages":{"type":"array","items":{"$ref":"#/components/schemas/CreateReservation_Data_Item_AgesItem"}},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"},"uid":{"type":"string"},"branchId":{"type":"string"},"customerUid":{"type":"string"},"customer":{"$ref":"#/components/schemas/CreateReservation_Data_Item_Customer"},"tableIds":{"type":"array","items":{"type":"string"}},"can":{"type":"array","items":{"type":"string","enum":["cancel","delete","update","update-time"]}},"recommendedTableIds":{"type":"array","items":{"type":"string"}},"labels":{"type":"array","items":{"$ref":"#/components/schemas/LabelAssignmentM"}},"feeOrderUid":{"type":"string"},"scheduledOrderUid":{"type":"string"},"experienceUids":{"type":"array","items":{"type":"string"}}},"required":["type","code","businessDate","time","numberOfGuests","actualNumberOfGuests","status","duration","uid","branchId","customerUid","customer","tableIds","can","labels"]},"CreateReservation_Data_Item_AgesItem":{"type":"object","properties":{"id":{"type":"string"},"count":{"type":"number"}},"required":["id","count"]},"CreateReservation_Data_Item_Customer":{"type":"object","properties":{"firstName":{"type":"string"},"lastName":{"type":"string","nullable":true},"email":{"type":"string"},"phone":{"type":"string"},"phoneCountry":{"type":"string"},"phoneCountryCalling":{"type":"string"},"sequence":{"type":"number"},"number":{"type":"string"},"cityId":{"type":"string","nullable":true},"birthDate":{"type":"string","nullable":true},"gender":{"type":"object"},"passcode":{"type":"string","nullable":true},"unsubscribed":{"type":"boolean","nullable":true},"internalNote":{"type":"string","nullable":true},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"},"id":{"type":"string"},"roleAssignments":{"type":"array","items":{"$ref":"#/components/schemas/RoleAssignmentMapSummary"}}},"required":["firstName","phone","phoneCountry","phoneCountryCalling","sequence","number","id","roleAssignments"]},"RoleAssignmentMapSummary":{"type":"object","properties":{"endDate":{"type":"string"},"id":{"type":"string"}},"required":["endDate","id"]},"LabelAssignmentM":{"type":"object","properties":{"uid":{"type":"string"},"labelUid":{"type":"string"},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"}},"required":["uid","labelUid"]},"CreateReservationApiError":{"type":"object","properties":{"error":{"$ref":"#/components/schemas/CreateReservation_Error"}},"required":["error"]},"CreateReservation_Error":{"type":"object","properties":{"code":{"allOf":[{"$ref":"#/components/schemas/CreateReservation_ErrorCodes_enum"}]}},"required":["code"]},"CreateReservation_ErrorCodes_enum":{"type":"string","enum":["BELOW_GUESTS_LIMIT","EXPEREINCE_NOT_FOUND","GUESTS_LIMIT_EXCEEDED","NO_TABLE_AVAILABLE","SELECTED_TABLES_UNAVAILABLE"]}}},"paths":{"/v1/flow/reservations":{"post":{"operationId":"Reservations_create","parameters":[{"name":"organization-id","in":"header","required":true,"schema":{"type":"string"},"description":"Organization ID"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateReservationApiRequest"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateReservationApiResponse"}}}},"400":{"description":"Functional Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateReservationApiError"}}}}},"summary":"Creates a new reservation.","tags":["Reservations"]}}}}
```

## GET /v1/flow/reservations/{uid}

> Returns a specific reservation.

```json
{"openapi":"3.0.0","info":{"title":"Gormic Flow API","version":"1.0"},"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key","description":"API Key"}},"schemas":{"GetReservationApiResponse":{"type":"object","properties":{"app":{"type":"string"},"service":{"type":"string"},"warnings":{"type":"array","items":{"type":"object"}},"instanceId":{"type":"string"},"requestId":{"type":"string"},"data":{"$ref":"#/components/schemas/GetReservation_Data"}},"required":["app","service","warnings","instanceId","requestId","data"]},"GetReservation_Data":{"type":"object","properties":{"item":{"$ref":"#/components/schemas/GetReservation_Data_Item"}},"required":["item"]},"GetReservation_Data_Item":{"type":"object","properties":{"type":{"type":"string","enum":["queue","request","reservation"]},"code":{"type":"string"},"businessDate":{"type":"string"},"time":{"type":"string"},"numberOfGuests":{"type":"number"},"actualNumberOfGuests":{"type":"number"},"status":{"type":"string","enum":["canceled","confirmed","declined","left","new","no-show","seated"]},"duration":{"type":"number"},"seatedAt":{"type":"string"},"leftAt":{"type":"string"},"note":{"type":"string","nullable":true},"areaId":{"type":"string","nullable":true},"reference":{"type":"string","nullable":true},"internalNote":{"type":"string","nullable":true},"paid":{"type":"boolean","nullable":true},"ages":{"type":"array","items":{"$ref":"#/components/schemas/GetReservation_Data_Item_AgesItem"}},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"},"uid":{"type":"string"},"branchId":{"type":"string"},"customerUid":{"type":"string"},"customer":{"$ref":"#/components/schemas/GetReservation_Data_Item_Customer"},"tableIds":{"type":"array","items":{"type":"string"}},"can":{"type":"array","items":{"type":"string","enum":["cancel","delete","update","update-time"]}},"recommendedTableIds":{"type":"array","items":{"type":"string"}},"labels":{"type":"array","items":{"$ref":"#/components/schemas/LabelAssignmentM"}},"feeOrderUid":{"type":"string"},"scheduledOrderUid":{"type":"string"},"experienceUids":{"type":"array","items":{"type":"string"}}},"required":["type","code","businessDate","time","numberOfGuests","actualNumberOfGuests","status","duration","uid","branchId","customerUid","customer","tableIds","can","labels"]},"GetReservation_Data_Item_AgesItem":{"type":"object","properties":{"id":{"type":"string"},"count":{"type":"number"}},"required":["id","count"]},"GetReservation_Data_Item_Customer":{"type":"object","properties":{"firstName":{"type":"string"},"lastName":{"type":"string","nullable":true},"email":{"type":"string"},"phone":{"type":"string"},"phoneCountry":{"type":"string"},"phoneCountryCalling":{"type":"string"},"sequence":{"type":"number"},"number":{"type":"string"},"cityId":{"type":"string","nullable":true},"birthDate":{"type":"string","nullable":true},"gender":{"type":"object"},"passcode":{"type":"string","nullable":true},"unsubscribed":{"type":"boolean","nullable":true},"internalNote":{"type":"string","nullable":true},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"},"id":{"type":"string"},"roleAssignments":{"type":"array","items":{"$ref":"#/components/schemas/RoleAssignmentMapSummary"}}},"required":["firstName","phone","phoneCountry","phoneCountryCalling","sequence","number","id","roleAssignments"]},"RoleAssignmentMapSummary":{"type":"object","properties":{"endDate":{"type":"string"},"id":{"type":"string"}},"required":["endDate","id"]},"LabelAssignmentM":{"type":"object","properties":{"uid":{"type":"string"},"labelUid":{"type":"string"},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"}},"required":["uid","labelUid"]},"GetReservationApiError":{"type":"object","properties":{"error":{"$ref":"#/components/schemas/GetReservation_Error"}},"required":["error"]},"GetReservation_Error":{"type":"object","properties":{"code":{"allOf":[{"$ref":"#/components/schemas/GetReservation_ErrorCodes_enum"}]}},"required":["code"]},"GetReservation_ErrorCodes_enum":{"type":"string","enum":["COMPACT_INACTIVE","MISSING_ID","NO_CREATE_ACTION","NotFound"]}}},"paths":{"/v1/flow/reservations/{uid}":{"get":{"operationId":"Reservations_get","parameters":[{"name":"uid","required":true,"in":"path","schema":{"type":"string"}},{"name":"organization-id","in":"header","required":true,"schema":{"type":"string"},"description":"Organization ID"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetReservationApiResponse"}}}},"400":{"description":"Functional Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetReservationApiError"}}}}},"summary":"Returns a specific reservation.","tags":["Reservations"]}}}}
```

## DELETE /v1/flow/reservations/{uid}

> Deletes a specific reservation.

```json
{"openapi":"3.0.0","info":{"title":"Gormic Flow API","version":"1.0"},"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key","description":"API Key"}},"schemas":{"DeleteReservationApiResponse":{"type":"object","properties":{"app":{"type":"string"},"service":{"type":"string"},"warnings":{"type":"array","items":{"type":"object"}},"instanceId":{"type":"string"},"requestId":{"type":"string"},"data":{"$ref":"#/components/schemas/DeleteReservation_Data"}},"required":["app","service","warnings","instanceId","requestId","data"]},"DeleteReservation_Data":{"type":"object","properties":{"succeed":{"type":"boolean"}},"required":["succeed"]}}},"paths":{"/v1/flow/reservations/{uid}":{"delete":{"operationId":"Reservations_delete","parameters":[{"name":"uid","required":true,"in":"path","schema":{"type":"string"}},{"name":"organization-id","in":"header","required":true,"schema":{"type":"string"},"description":"Organization ID"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeleteReservationApiResponse"}}}}},"summary":"Deletes a specific reservation.","tags":["Reservations"]}}}}
```

## PATCH /v1/flow/reservations/{uid}

> Updates a specific reservation.

```json
{"openapi":"3.0.0","info":{"title":"Gormic Flow API","version":"1.0"},"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key","description":"API Key"}},"schemas":{"UpdateReservationApiRequest":{"type":"object","properties":{"params":{"$ref":"#/components/schemas/UpdateReservation_Params"}},"required":["params"]},"UpdateReservation_Params":{"type":"object","properties":{"time":{"type":"string"},"numberOfGuests":{"type":"number"},"status":{"type":"string","enum":["canceled","confirmed","declined","left","new","no-show","seated"]},"duration":{"type":"number"},"seatedAt":{"type":"string"},"leftAt":{"type":"string"},"note":{"type":"string","nullable":true},"areaId":{"type":"string","nullable":true},"tableIds":{"type":"object"},"internalNote":{"type":"string","nullable":true},"paid":{"type":"boolean","nullable":true},"ages":{"type":"array","items":{"$ref":"#/components/schemas/UpdateReservation_Params_AgesItem"}}}},"UpdateReservation_Params_AgesItem":{"type":"object","properties":{"id":{"type":"string"},"count":{"type":"number"}},"required":["id","count"]},"UpdateReservationApiResponse":{"type":"object","properties":{"app":{"type":"string"},"service":{"type":"string"},"warnings":{"type":"array","items":{"type":"object"}},"instanceId":{"type":"string"},"requestId":{"type":"string"},"data":{"$ref":"#/components/schemas/UpdateReservation_Data"}},"required":["app","service","warnings","instanceId","requestId","data"]},"UpdateReservation_Data":{"type":"object","properties":{"item":{"$ref":"#/components/schemas/UpdateReservation_Data_Item"}},"required":["item"]},"UpdateReservation_Data_Item":{"type":"object","properties":{"type":{"type":"string","enum":["queue","request","reservation"]},"code":{"type":"string"},"businessDate":{"type":"string"},"time":{"type":"string"},"numberOfGuests":{"type":"number"},"actualNumberOfGuests":{"type":"number"},"status":{"type":"string","enum":["canceled","confirmed","declined","left","new","no-show","seated"]},"duration":{"type":"number"},"seatedAt":{"type":"string"},"leftAt":{"type":"string"},"note":{"type":"string","nullable":true},"areaId":{"type":"string","nullable":true},"reference":{"type":"string","nullable":true},"internalNote":{"type":"string","nullable":true},"paid":{"type":"boolean","nullable":true},"ages":{"type":"array","items":{"$ref":"#/components/schemas/UpdateReservation_Data_Item_AgesItem"}},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"},"uid":{"type":"string"},"branchId":{"type":"string"},"customerUid":{"type":"string"},"customer":{"$ref":"#/components/schemas/UpdateReservation_Data_Item_Customer"},"tableIds":{"type":"array","items":{"type":"string"}},"can":{"type":"array","items":{"type":"string","enum":["cancel","delete","update","update-time"]}},"recommendedTableIds":{"type":"array","items":{"type":"string"}},"labels":{"type":"array","items":{"$ref":"#/components/schemas/LabelAssignmentM"}},"feeOrderUid":{"type":"string"},"scheduledOrderUid":{"type":"string"},"experienceUids":{"type":"array","items":{"type":"string"}}},"required":["type","code","businessDate","time","numberOfGuests","actualNumberOfGuests","status","duration","uid","branchId","customerUid","customer","tableIds","can","labels"]},"UpdateReservation_Data_Item_AgesItem":{"type":"object","properties":{"id":{"type":"string"},"count":{"type":"number"}},"required":["id","count"]},"UpdateReservation_Data_Item_Customer":{"type":"object","properties":{"firstName":{"type":"string"},"lastName":{"type":"string","nullable":true},"email":{"type":"string"},"phone":{"type":"string"},"phoneCountry":{"type":"string"},"phoneCountryCalling":{"type":"string"},"sequence":{"type":"number"},"number":{"type":"string"},"cityId":{"type":"string","nullable":true},"birthDate":{"type":"string","nullable":true},"gender":{"type":"object"},"passcode":{"type":"string","nullable":true},"unsubscribed":{"type":"boolean","nullable":true},"internalNote":{"type":"string","nullable":true},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"},"id":{"type":"string"},"roleAssignments":{"type":"array","items":{"$ref":"#/components/schemas/RoleAssignmentMapSummary"}}},"required":["firstName","phone","phoneCountry","phoneCountryCalling","sequence","number","id","roleAssignments"]},"RoleAssignmentMapSummary":{"type":"object","properties":{"endDate":{"type":"string"},"id":{"type":"string"}},"required":["endDate","id"]},"LabelAssignmentM":{"type":"object","properties":{"uid":{"type":"string"},"labelUid":{"type":"string"},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"}},"required":["uid","labelUid"]},"UpdateReservationApiError":{"type":"object","properties":{"error":{"$ref":"#/components/schemas/UpdateReservation_Error"}},"required":["error"]},"UpdateReservation_Error":{"type":"object","properties":{"code":{"allOf":[{"$ref":"#/components/schemas/UpdateReservation_ErrorCodes_enum"}]}},"required":["code"]},"UpdateReservation_ErrorCodes_enum":{"type":"string","enum":["ACTION_NOT_ALLOWED","BELOW_GUESTS_LIMIT","NO_TABLE_AVAILABLE","NoChanges","SELECTED_TABLES_UNAVAILABLE","TABLES_NOT_SELECTED"]}}},"paths":{"/v1/flow/reservations/{uid}":{"patch":{"operationId":"Reservations_update","parameters":[{"name":"uid","required":true,"in":"path","schema":{"type":"string"}},{"name":"organization-id","in":"header","required":true,"schema":{"type":"string"},"description":"Organization ID"}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateReservationApiRequest"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateReservationApiResponse"}}}},"400":{"description":"Functional Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateReservationApiError"}}}}},"summary":"Updates a specific reservation.","tags":["Reservations"]}}}}
```

## GET /v1/flow/reservations/export

> Exports all reservations with support for incremental fetching.

```json
{"openapi":"3.0.0","info":{"title":"Gormic Flow API","version":"1.0"},"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key","description":"API Key"}},"schemas":{"ExportReservationsApiResponse":{"type":"object","properties":{"app":{"type":"string"},"service":{"type":"string"},"warnings":{"type":"array","items":{"type":"object"}},"instanceId":{"type":"string"},"requestId":{"type":"string"},"data":{"$ref":"#/components/schemas/ExportReservations_Data"}},"required":["app","service","warnings","instanceId","requestId","data"]},"ExportReservations_Data":{"type":"object","properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/ReservationM"}},"next":{"type":"string"}},"required":["items"]},"ReservationM":{"type":"object","properties":{"type":{"type":"string","enum":["queue","request","reservation"]},"code":{"type":"string"},"businessDate":{"type":"string"},"time":{"type":"string"},"numberOfGuests":{"type":"number"},"actualNumberOfGuests":{"type":"number"},"status":{"type":"string","enum":["canceled","confirmed","declined","left","new","no-show","seated"]},"duration":{"type":"number"},"seatedAt":{"type":"string"},"leftAt":{"type":"string"},"note":{"type":"string","nullable":true},"areaId":{"type":"string","nullable":true},"reference":{"type":"string","nullable":true},"internalNote":{"type":"string","nullable":true},"paid":{"type":"boolean","nullable":true},"ages":{"type":"array","items":{"$ref":"#/components/schemas/ReservationM_AgesItem"}},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"},"uid":{"type":"string"},"branchId":{"type":"string"},"customerUid":{"type":"string"},"customer":{"$ref":"#/components/schemas/ReservationM_Customer"},"tableIds":{"type":"array","items":{"type":"string"}},"can":{"type":"array","items":{"type":"string","enum":["cancel","delete","update","update-time"]}},"recommendedTableIds":{"type":"array","items":{"type":"string"}},"labels":{"type":"array","items":{"$ref":"#/components/schemas/LabelAssignmentM"}},"feeOrderUid":{"type":"string"},"scheduledOrderUid":{"type":"string"},"experienceUids":{"type":"array","items":{"type":"string"}}},"required":["type","code","businessDate","time","numberOfGuests","actualNumberOfGuests","status","duration","uid","branchId","customerUid","customer","tableIds","can","labels"]},"ReservationM_AgesItem":{"type":"object","properties":{"id":{"type":"string"},"count":{"type":"number"}},"required":["id","count"]},"ReservationM_Customer":{"type":"object","properties":{"firstName":{"type":"string"},"lastName":{"type":"string","nullable":true},"email":{"type":"string"},"phone":{"type":"string"},"phoneCountry":{"type":"string"},"phoneCountryCalling":{"type":"string"},"sequence":{"type":"number"},"number":{"type":"string"},"cityId":{"type":"string","nullable":true},"birthDate":{"type":"string","nullable":true},"gender":{"type":"object"},"passcode":{"type":"string","nullable":true},"unsubscribed":{"type":"boolean","nullable":true},"internalNote":{"type":"string","nullable":true},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"},"id":{"type":"string"},"roleAssignments":{"type":"array","items":{"$ref":"#/components/schemas/RoleAssignmentMapSummary"}}},"required":["firstName","phone","phoneCountry","phoneCountryCalling","sequence","number","id","roleAssignments"]},"RoleAssignmentMapSummary":{"type":"object","properties":{"endDate":{"type":"string"},"id":{"type":"string"}},"required":["endDate","id"]},"LabelAssignmentM":{"type":"object","properties":{"uid":{"type":"string"},"labelUid":{"type":"string"},"createdAt":{"type":"string"},"createdVia":{"type":"string"},"createdBy":{"type":"string"},"updatedAt":{"type":"string"},"updatedVia":{"type":"string"},"updatedBy":{"type":"string"}},"required":["uid","labelUid"]}}},"paths":{"/v1/flow/reservations/export":{"get":{"operationId":"Reservations_export","parameters":[{"name":"updatedSince","required":false,"in":"query","schema":{"type":"string"}},{"name":"offset","required":false,"in":"query","schema":{"type":"string"}},{"name":"organization-id","in":"header","required":true,"schema":{"type":"string"},"description":"Organization ID"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExportReservationsApiResponse"}}}}},"summary":"Exports all reservations with support for incremental fetching.","tags":["Reservations"]}}}}
```

## GET /v1/flow/reservations/availability

> Exports all reservations with support for incremental fetching.

```json
{"openapi":"3.0.0","info":{"title":"Gormic Flow API","version":"1.0"},"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key","description":"API Key"}},"schemas":{"GetReservationAvailability_Params_AgesItem":{"type":"object","properties":{"id":{"type":"string"},"count":{"type":"number"}},"required":["id","count"]},"GetReservationAvailabilityApiResponse":{"type":"object","properties":{"app":{"type":"string"},"service":{"type":"string"},"warnings":{"type":"array","items":{"type":"object"}},"instanceId":{"type":"string"},"requestId":{"type":"string"},"data":{"$ref":"#/components/schemas/GetReservationAvailability_Data"}},"required":["app","service","warnings","instanceId","requestId","data"]},"GetReservationAvailability_Data":{"type":"object","properties":{"businessDate":{"type":"string"},"slots":{"type":"array","items":{"$ref":"#/components/schemas/GetReservationAvailability_Data_SlotsItem"}}},"required":["businessDate","slots"]},"GetReservationAvailability_Data_SlotsItem":{"type":"object","properties":{"time":{"type":"string"},"isoTime":{"type":"string"},"tables":{"type":"array","items":{"$ref":"#/components/schemas/TableSummaryM"}},"experienceUids":{"type":"array","items":{"type":"string"}}},"required":["time","isoTime","tables","experienceUids"]},"TableSummaryM":{"type":"object","properties":{"name":{"type":"string"},"x":{"type":"number"},"y":{"type":"number"},"width":{"type":"number"},"height":{"type":"number"},"circle":{"type":"boolean","nullable":true},"minSeats":{"type":"number"},"maxSeats":{"type":"number"},"archived":{"type":"boolean"},"active":{"type":"boolean"},"id":{"type":"string"},"areaId":{"type":"string"}},"required":["name","x","y","width","height","minSeats","maxSeats","active","id","areaId"]},"GetReservationAvailabilityApiError":{"type":"object","properties":{"error":{"$ref":"#/components/schemas/GetReservationAvailability_Error"}},"required":["error"]},"GetReservationAvailability_Error":{"type":"object","properties":{"code":{"allOf":[{"$ref":"#/components/schemas/GetReservationAvailability_ErrorCodes_enum"}]}},"required":["code"]},"GetReservationAvailability_ErrorCodes_enum":{"type":"string","enum":["BELOW_GUESTS_LIMIT","BUSINESS_HOURS_NOT_DEFINED","COMPACT_INACTIVE","EXPEREINCE_NOT_FOUND","MISSING_ID","NO_ACTIVE_SCHEDULE_PLAN","NO_CREATE_ACTION","NO_SCHEDULE_DEFINED","NotFound"]}}},"paths":{"/v1/flow/reservations/availability":{"get":{"operationId":"Reservations_availability","parameters":[{"name":"branchId","required":true,"in":"query","schema":{"type":"string"}},{"name":"businessDate","required":false,"in":"query","schema":{"type":"string"}},{"name":"numberOfGuests","required":true,"in":"query","schema":{"type":"number"}},{"name":"duration","required":false,"in":"query","schema":{"type":"number"}},{"name":"time","required":false,"in":"query","schema":{"type":"string"}},{"name":"areaId","required":false,"in":"query","schema":{"type":"string"}},{"name":"tableIds","required":false,"in":"query","schema":{"type":"array","items":{"type":"string"}}},{"name":"updatedSourceId","required":false,"in":"query","schema":{"type":"string"}},{"name":"experienceUids","required":false,"in":"query","schema":{"type":"array","items":{"type":"string"}}},{"name":"ages","required":false,"in":"query","schema":{"type":"array","items":{"$ref":"#/components/schemas/GetReservationAvailability_Params_AgesItem"}}},{"name":"organization-id","in":"header","required":true,"schema":{"type":"string"},"description":"Organization ID"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetReservationAvailabilityApiResponse"}}}},"400":{"description":"Functional Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetReservationAvailabilityApiError"}}}}},"summary":"Exports all reservations with support for incremental fetching.","tags":["Reservations"]}}}}
```

## GET /v1/flow/reservations/by-customer/{uid}

> Lists all reservations for a spesific customer.

```json
{"openapi":"3.0.0","info":{"title":"Gormic Flow API","version":"1.0"},"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key","description":"API Key"}},"schemas":{"ListCustomerReservationsApiResponse":{"type":"object","properties":{"app":{"type":"string"},"service":{"type":"string"},"warnings":{"type":"array","items":{"type":"object"}},"instanceId":{"type":"string"},"requestId":{"type":"string"},"data":{"$ref":"#/components/schemas/ListCustomerReservations_Data"}},"required":["app","service","warnings","instanceId","requestId","data"]},"ListCustomerReservations_Data":{"type":"object","properties":{"items":{"type":"array","items":{"type":"object"}},"next":{"type":"string"}},"required":["items"]}}},"paths":{"/v1/flow/reservations/by-customer/{uid}":{"get":{"operationId":"Reservations_byCustomer","parameters":[{"name":"uid","required":true,"in":"path","schema":{"type":"string"}},{"name":"organization-id","in":"header","required":true,"schema":{"type":"string"},"description":"Organization ID"}],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ListCustomerReservationsApiResponse"}}}}},"summary":"Lists all reservations for a spesific customer.","tags":["Reservations"]}}}}
```
